# -*- coding: utf-8 -*-
""" Generation of the Training Mask Paper Images
"""

import sys
sys.path.append('.')

import sartb
from skimage.io import imsave

f = sartb.get_dataset('../../data/dataset', sartb.DatasetNames().SanFrancisco, 'real', 0)
sfb_tm = f.get_training_mask(f.get_samples(n=4, size=5))
imsave('sfb_training_mask.png', sfb_tm)

f = sartb.get_dataset('../../data/dataset', sartb.DatasetNames().Flevoland, 'real', 0)
flev_tm = f.get_training_mask(f.get_samples(n=4, size=5))
imsave('flev_training_mask.png', flev_tm)
